summaryrefslogtreecommitdiff
path: root/os1w2/func
diff options
context:
space:
mode:
Diffstat (limited to 'os1w2/func')
-rwxr-xr-xos1w2/func13
1 files changed, 13 insertions, 0 deletions
diff --git a/os1w2/func b/os1w2/func
new file mode 100755
index 0000000..a194988
--- /dev/null
+++ b/os1w2/func
@@ -0,0 +1,13 @@
+#!/bin/sh
+usage() {
+ echo "$0: usage: $0 -u"
+ exit 1
+}
+
+[ -z "$1" ] && usage
+
+case "$1" in
+ "-u") id -un ;;
+ *) usage ;;
+esac
+